<template>
  <div class="purchasFuelNewMonitor">
    <div class="frameCalculation">
      <span>净重时间：</span>
      <el-date-picker
        v-model="startTime"
        type="datetime"
        placeholder="选择日期"
        style="width:200px"
      >
      </el-date-picker>
      <span>至</span>
      <el-date-picker
        v-model="endTime"
        type="datetime"
        placeholder="选择日期"
        style="width:200px"
      >
      </el-date-picker>
      <el-input
        v-model="input"
        placeholder="请输入发货单位或物资或车牌号"
        style="width:200px"
        clearable
      ></el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>
      </el-button>
      <el-button type="primary" @click="exportData()"
        ><i class="el-icon-download"></i>Excel</el-button
      >
      <span style="margin-left: 1rem;">首次/二次合计净重：</span>
      <el-input
        v-model="totalNumberFrist"
        :disabled="true"
        style="width: 140px;"
      ></el-input>
      <span style="margin-left: 1rem;">合计车数：</span>
      <el-input
        v-model="totalCapacity"
        :disabled="true"
        style="width: 50px;"
      ></el-input>
    </div>
    <div class="table">
      <dilTable ref="excelDom" v-bind.sync="option" @func="func"></dilTable>
    </div>
  </div>
</template>

<script>
import { sjTime } from "@/utils/sharedJsFile";
import { getCookie } from "@/utils/util.js";
export default {
  data() {
    return {
      input: null,
      totalNumberSecond: null,
      totalNumberFrist: null,
      totalCapacity: null,
      option: {
        requestUrl: ""
      },
      startTime: null,
      endTime: null,
      tableTitle: "零星中转统计报表"
    };
  },
  created() {
    this.option.requestUrl =
      "/api/v1/tms/getLXInwardReport?apiId=457&startTime=null&endTime=null&i=" +
      new Date();
  },
  methods: {
    func(res) {
      var resultNetWeightTotalFirst = 0;
      var resultNetWeightTotalSecond = 0;
      var currentCapacityTotal = 0;
      res.list.forEach(e => {
        currentCapacityTotal++;
        resultNetWeightTotalFirst =
          resultNetWeightTotalFirst + e.netWeightFirst;
        resultNetWeightTotalSecond =
          resultNetWeightTotalSecond + e.netWeightSecond;
      });
      this.totalNumberFrist =
        resultNetWeightTotalFirst.toFixed(2) +
        "t" +
        "/" +
        resultNetWeightTotalSecond.toFixed(2) +
        "t";
      this.totalCapacity = currentCapacityTotal;
    },
    getRequestUrl() {
      this.option.requestUrl =
        "/api/v1/tms/getLXInwardReport?apiId=457&startTime=null&endTime=null&i=" +
        new Date();
    },
    onclick() {
      let startTime = null;
      let endTime = null;
      if (this.startTime && this.endTime) {
        startTime = sjTime(this.startTime);
        endTime = sjTime(this.endTime);
      }
      this.option.requestUrl =
        "/api/v1/tms/getLXInwardReport?apiId=457" +
        "&startTime=" +
        startTime +
        "&endTime=" +
        endTime +
        "&con=" +
        this.input +
        "&i=" +
        new Date();
    }
  }
};
</script>

<style lang="scss">
.purchasFuelNewMonitor {
  .frameCalculation {
    margin-left: 20px;
    margin-top: 20px;
  }
  .table {
    margin-left: 20px;
    margin-top: 20px;
  }
}
</style>
